//============================================================================
// control/client/initialize.cs
//
//  client control initialization module for 3D2E Koob23 sample game
//
//  Copyright (c) 2003 by Kenneth C.  Finney.
//============================================================================
$pref::Audio::driver = "OpenAL";
$pref::Audio::forceMaxDistanceUpdate = 0;
$pref::Audio::environmentEnabled = 0;
$pref::Audio::masterVolume   = 1.0;
$pref::Audio::channelVolume1 = 1.0;
$pref::Audio::channelVolume2 = 1.0;
$pref::Audio::channelVolume3 = 1.0;
$pref::Audio::channelVolume4 = 1.0;
$pref::Audio::channelVolume5 = 1.0;
$pref::Audio::channelVolume6 = 1.0;
$pref::Audio::channelVolume7 = 1.0;
$pref::Audio::channelVolume8 = 1.0;
$pref::frameMessageLogSize = 40;

function InitializeClient()
//----------------------------------------------------------------------------
// Prepare some global client information, fire up the graphics engine,
// and then connect to the server code that is already running in another
// thread.
//----------------------------------------------------------------------------
{
	  $Client::GameTypeQuery = "3D2E";
  $Client::MissionTypeQuery = "Any";

   Echo("\n++++++++++++ Initializing module: Koob23 client ++++++++++++");

   InitBaseClient(); // basic client features defined in the common modules

   // Make sure a canvas has been built before any interface definitions are
   // loaded because most controls depend on the canvas to already exist when
   // they are loaded.

   InitCanvas("Koob23 - 3D2E Sample Game"); // Start the graphics & audio system.
   PlayMusic(AudioIntroMusicProfile);
   // Interface definitions
   Exec("./profiles.cs");
   Exec("./default_profile.cs");
   Exec("./interfaces/splashscreen.gui");
   Exec("./interfaces/MenuScreen.gui");
   Exec("./interfaces/loadscreen.gui");
   Exec("./interfaces/playerinterface.gui");
   Exec("./interfaces/serverscreen.gui");
Exec("./interfaces/chatbox.gui");///***KCF***24/09/2006 6:11PM
Exec("./interfaces/messagebox.gui");///***KCF***24/09/2006 6:11PM
Exec("./interfaces/remapDlg.gui ");///***KCF***24/09/2006 6:11PM
   Exec("./interfaces/settingsscreen.gui");   
   
   
   Exec("./interfaces/HostScreen.gui");///***KCF***25/09/2006 12:36AM
   Exec("./interfaces/SoloScreen.gui");///***KCF***25/09/2006 12:36AM


   // Interface scripts
   Exec("./misc/Screens.cs");
      Exec("./misc/serverscreen.cs");
   Exec("./misc/settingsscreen.cs");

   Exec("./config.cs");
   Exec("./client.cs");
exec("./misc/chatbox.cs");///***KCF***24/09/2006 6:11PM
exec("./misc/messagebox.cs");///***KCF***24/09/2006 6:11PM
   Exec("./misc/HostScreen.cs");///***KCF***25/09/2006 12:36AM
   Exec("./misc/SoloScreen.cs");///***KCF***25/09/2006 12:35AM


   // these modules rely on things defined in the common code
   // that are activated in the InitBaseClient() function above
   // so must be located after it has been called
   Exec("./misc/transfer.cs");
   Exec("./misc/connection.cs");
   Exec("./misc/presetkeys.cs");
 SetNetPort(0);
   Canvas.setContent(SplashScreen);
}
